package com.yx.face.boot.uitls;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import com.yx.face.boot.restful.RestCode;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.ServiceException;

import java.lang.reflect.Field;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @description:
 * @ClassName ClassUtil
 * @Author WXG
 * @Date 2023/5/18 17:18
 */
public class ClassUtil {

    public static <T> void searchInit(RestDTO<T> restDTO, Class<T> tClass){
        if(!ObjectUtil.isNull(restDTO.getData())){
            return;
        }
        try {
            T t = tClass.newInstance();
            restDTO.setData(t);
        } catch (InstantiationException e) {
            throw new RuntimeException(e);
        } catch (IllegalAccessException e) {
            throw new RuntimeException(e);
        }
    }

    public static void checkData(Object o){
        if(ObjectUtil.isNull(o)){
            throw new ServiceException(RestCode.NOT_FOUND);
        }
    }
    public static void checkData(Object o,String throwString){
        if(ObjectUtil.isNull(o)){
            throw new ServiceException(throwString);
        }
    }
    public static void throwBusinessException(Boolean o,String throwString){
        if(o){
            throw new ServiceException(throwString);
        }
    }
    public static void throwBusinessException(Boolean o, RestCode restCode){
        if(o){
            throw new ServiceException(restCode);
        }
    }
    public static void throwBusinessException(Boolean o,RestCode restCode,String msg){
        if(o){
            throw new ServiceException(restCode.getCode(),msg);
        }
    }
    public static boolean hasValue(Object obj,String ... filterField) {
        List<String> stringList = Arrays.stream(filterField).collect(Collectors.toList());
        Field[] fields = obj.getClass().getDeclaredFields();
        for (Field field : fields) {
            if(stringList.contains(field.getName())){
                continue;
            }
            field.setAccessible(true);
            try {
                Object o = field.get(obj);
                if (o != null) {
                    if(o instanceof List){
                        if(CollUtil.isNotEmpty((List)o)){
                            return true;
                        }
                    }
                    else if(o instanceof String){
                        if(StrUtil.isNotBlank((String)o)){
                            return true;
                        }
                    }
                    return true;
                }
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            }
        }
        return false;
    }
    public static boolean hasValueCheck(Object obj,String ... filterField) {
        List<String> stringList = Arrays.stream(filterField).collect(Collectors.toList());
        Field[] fields = obj.getClass().getDeclaredFields();
        for (Field field : fields) {
            if(!stringList.contains(field.getName())){
                continue;
            }
            field.setAccessible(true);
            try {
                Object o = field.get(obj);
                if (o != null) {
                    if(o instanceof List){
                        if(CollUtil.isNotEmpty((List)o)){
                            return true;
                        }
                    }
                    else if(o instanceof String){
                        if(StrUtil.isNotBlank((String)o)){
                            return true;
                        }
                    }
                    return true;
                }
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            }
        }
        return false;
    }
}
