package com.yx.face.model.black;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@Data
public class UserBlackTaskDto {

    @ApiModelProperty("绑定账号列表")
    private List<Integer> adminIdList;

    @ApiModelProperty("任务名称")
    @NotBlank(message = "任务名称不能为空")
    private String taskName;

    @ApiModelProperty("黑名单列表")
    @NotNull(message = "黑名单列表不能为空")
    @Size(min = 1, message = "黑名单列表不能为空")
    @Valid
    private List<BlackPersonDto> blackPersonDtoList;

}
