package com.yx.face.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * 黑名单实体类
 * 崔
 */
@Data
@Table(name = "user_black_list")
@TableName("user_black_list")
public class UserBlackList {

    /**
     * 用户白名单id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String phone;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 管理员id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 身份证
     * */
    @Column(name = "id_number")
    private String idNumber;

    /**
     * 头像
     * */
    @Column(name = "avatar")
    private String avatar;
    /**
     * 任务id
     */
    @TableField("user_black_task_id")
    private Long userBlackTaskId;

    /**
     * 录入账号
     */
    @TableField("enter_admin_id")
    private Integer enterAdminId;
}
